<template>
  <div>
    <div class="px-5 py-3"></div>
    <router-link to="/create-new-form" class="nav-link d-inline-block float-right mt-5 mr-3">
      <p class="btn float-right mr-3 btn-lg btn-success">Add New</p>
    </router-link>
    <table class="table container col-11">
      <thead class="thead-dark">
        <tr class="d-flex flex-row text-center">
          <th class="col-4">Action</th>
          <th class="col-2">Row Number</th>
          <th class=col-2>Column Number</th>
          <th class="col-3">Form Name</th>
          <th class="col-1">NO .</th>
        </tr>
      </thead>
      <tbody v-for="(article, index) in articles.data" :key="index">
        <tr
          data-toggle="tooltip"
          data-placement="left"
          :title="article.created_at | timeformat"
        >
          <td>
            <router-link
              :to="{
                path: `/article/edit/${index}`,
                query: { art: article.id }
              }"
            >Edit</router-link>
            <br />
            <a @click.prevent="articleDelete(article.id)" href>Delet</a>
          </td>
          <td>ejaze</td>
          <td>
            <img :src="`${article.articlePhoto}`" style="width:77px;height:77px" alt />
          </td>
          <td>{{ article.body | sortlength(47, "...") }}</td>
          <td>{{ article.articleDescription | sortlength(17, "...") }}</td>
          <td>{{ article.articleName }}</td>
          <td>{{ (articles.per_page * (articles.current_page-1)) + index + 1 }}</td>
        </tr>
      </tbody>
    </table>
    <ul>
      <li v-for="post in laravelData.data" :key="post.id">{{ post.title }}</li>
    </ul>

    <pagination :data="articles" @pagination-change-page="getResults"></pagination>
  </div>
</template>

<script>
export default {
  name: "",
  data() {
    return {
      laravelData: {}
    };
  },
  computed: {
    articles() {
      return this.$store.getters.articles_admin;
    }
  },
  mounted() {
    this.getResults();
    // return this.$store.dispatch('articles_admin');
  },
  methods: {
    getResults(page=1) {
      this.$store
        .dispatch("articles_admin", page)
        .then(() => {
          if (page !== 1) {
            this.$router.push({ query: { page: page} });        
          }
        })
        .catch(err => console.log(err))
    },
    articleDelete(id) {
      const swalWithBootstrapButtons = window.Swal.mixin({
        customClass: {
          confirmButton: "btn btn-success",
          cancelButton: "btn btn-danger"
        },
        buttonsStyling: false
      });

      swalWithBootstrapButtons
        .fire({
          title: "Are you sure?",
          text: "You won't be able to revert this!",
          icon: "warning",
          showCancelButton: true,
          confirmButtonText: "Yes, delete it!",
          cancelButtonText: "No, cancel!",
          reverseButtons: true
        })
        .then(result => {
          if (result.value) {
            window.axios
              .delete("admin/article/" + id)
              .then(() => {
                this.$store.dispatch("articles_admin");
                window.Toast.fire({
                  icon: "success",
                  title: "حذف با موفقیت انجام شد"
                });
                // swalWithBootstrapButtons.fire(
                // 'Deleted!',
                // 'Your file has been deleted.',
                // 'success'
                // )
              })
              .catch(() => {});
          } else if (
            /* Read more about handling dismissals below */
            result.dismiss === window.Swal.DismissReason.cancel
          ) {
            swalWithBootstrapButtons.fire(
              "Cancelled",
              "Your imaginary file is safe :)",
              "error"
            );
          }
        });
      // axios.delete('admin/article/'+id)
    }
  },
  watch: {}
};
</script>

<style></style>
